c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine adjdt1f(dtmax,nxx,nyy,nzz,dtik,dtjk,if,idiag)
c
      include 'parfin.cmd'
      include 'dtksubf.cmd'
c
      real dtmax,dtik(mxfy,mxfz),dtjk(mxfx,mxfz)
c
      if ( idiag .ne. 0 ) then
         write(*,*) ' Enter ADJDT1F ...'
         write(*,*) ' dtmax :',dtmax
      endif
c
      dtmaxk=1.e-20
      do 10 k=1,nzz
c
	 do 15 j=2,nyy-1
	    dtfsi(j,k,if)=amin1(dtmax,dtik(j,k))
	    dtmaxk=amax1(dtmaxk,deltkf(k,if),dtfsi(j,k,if))
 15      continue
c
	 do 16 i=2,nxx-1
	    dtfsj(i,k,if)=amin1(dtmax,dtjk(i,k))
	    dtmaxk=amax1(dtmaxk,deltkf(k,if),dtfsj(i,k,if))
 16      continue
c
         deltkf(k,if)=dtmaxk
         nchk=int(amod(dtmax,deltkf(k,if)))
c
         if ( idiag .ne. 0 ) then
           write(*,*) 'k,nchk,dtmaxk :',k,nchk,dtmaxk
         endif
c
         if ( nchk .ne. 0 ) then
   	    nstp=int(dtmax/deltkf(k,if))+1
	    deltkf(k,if)=dtmax/float(nstp)
         endif
c
	 do 17 i=2,nxx-1
           rnchk=(amod(deltkf(k,if),dtfsj(i,k,if)))
           if ( idiag .ne. 0 ) then
              write(*,*) ' if,k,i,deltk,dtfsj,rnchk :',
     &                 if,k,i,deltkf(k,if),dtfsj(i,k,if),rnchk
           endif
           if ( rnchk .gt. 0.0001 ) then
   	      nstp=int(deltkf(k,if)/dtfsj(i,k,if))+1
	      dtfsj(i,k,if)=deltkf(k,if)/float(nstp)
           endif
 17      continue
c
	 do 18 j=2,nyy-1
c           write(*,*) dtfsi(j,k,if)
           rnchk=(amod(deltkf(k,if),dtfsi(j,k,if)))
           if ( idiag .ne. 0 ) then
              write(*,*) ' if,k,j,deltk,dtfsi :',
     &                     if,k,j,deltkf(k,if),dtfsi(j,k,if)
           endif
           if ( rnchk .gt. 0.0001 ) then
   	      nstp=int(deltkf(k,if)/dtfsi(j,k,if))+1
	      dtfsi(j,k,if)=deltkf(k,if)/float(nstp)
           endif
 18      continue
c
         if ( idiag .ne. 0 ) then
            write(*,*) ' if,k,deltkf :',if,k,deltkf(k,if)
            call flush(6)
         endif
c
 10   continue
c
      return
      end
