c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
c
c     AEROSL.CMD
c
c-----ATDM v1.00
c
c     Size and mass distribution for aerosol particles
c
c-----95/03/03:
c     -from UAM-V Revision 1.2  94/02/10  21:03:31  tcm
c     -Altered to allow for variable number of size distributions
c     -Included new size distribution variables read within CHREAD.F
c-----95/03/09:
c     -added RHOP variable for particulates
c-----95/08/17:
c     -added fnucl scalar, new flrge array, and moved fc array from
c      COMCHEM.CMD to here
c
      common /aerosl/ nszdist,fnucl,iszdist(mxspec),rsize(nbin),
     &                rmass(nbin,mxsdist),rhop(mxspec),
     &                flrge(mxsdist),fc(mxspec)
c
