c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
c
c     PARFIN.CMD
c
c-----ATDM v1.00
c
c     Parameters for fine grid arrays
c
c-----95/06/20:
c     -from UAM-V Revision 1.3  94/05/20  17:45:16  tcm
c
c     maxfin = maximum number of fine grids
c
c     maxdiv = maximum number of subdivisions of coarse grid
c              (i.e., maximum ratio of coarse grid cell size
c              to fine grid cell size)
c     mxfx   = max number of cells in x direction in fine grid
c     mxfy   = max number of cells in y direction in fine grid
c     mxfz   = max number of layers in fine grids
c     mxfxy  = larger of mxfx and mxfy
c     mxfxby = maximum number of cells in fine grid (nx*ny)
c
      parameter (maxfin = 5)
      parameter (maxdiv = 18)
      parameter (mxfx = 200)
      parameter (mxfy = 130)
      parameter (mxfz = 12)
      parameter (mxfxy = 200)
      parameter (mxfxby = mxfx*mxfy)
      parameter (mxaggf = mxfxby*mxfz*maxfin)
      parameter (mxsetf = mxfxby*maxfin)
c
